# Sponsor Levels Sponsor Levels ## Gets all of the sponsor levels in the system. - [GET /sponsorLevels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsor-levels/listsponsorlevels.md): This method will scan all sponsor levels and and return them to the caller. ## Creates a new sponsor level record that does not already exist. - [POST /sponsorLevels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsor-levels/createsponsorlevel.md): This method will auto-generate an ID and create a new sponsor level. If an ID is specified for the sponsor level, an error will be thrown. ## Execute Batch Operations - [POST /sponsorLevels/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsor-levels/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a sponsor level from the system by its ID. - [DELETE /sponsorLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsor-levels/deletesponsorlevel.md): This method will delete a sponsor level with the specified ID. ## Returns a sponsor level from the system by its ID. - [GET /sponsorLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsor-levels/getsponsorlevel.md): This method will look up a sponsor level by the specified ID and return it back. ## Partially updates a sponsor level with the specified ID. - [PATCH /sponsorLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsor-levels/patchsponsorlevel.md): This method will patch an existing sponsor level with the specified ID, using the HTTP PATCH specification. ## Updates a sponsor level with the specified ID. - [PUT /sponsorLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/sponsor-levels/updatesponsorlevel.md): This method will update an existing sponsor level with the specified ID.